Subject: Re: linux-next: build failure after final merge (arm tree)

From: Russell King <[email-masked]>
Date: Fri, 19 Feb 2010 08:22:17 +0000

On Fri, Feb 19, 2010 at 05:39:29PM +1100, Stephen Rothwell wrote:
> Hi Russell,
> 
> After merging the scsi-post-merge tree, today's linux-next build (sparc32
> defconfig) failed like this:
> 
> arch/sparc/mm/sun4c.c: In function 'sun4c_update_mmu_cache':
> arch/sparc/mm/sun4c.c:1943: error: 'pte' undeclared (first use
>  in this function)

Damn.

> Caused by commit 2dca0ca96ac340fbf4f9e0741dcf58ff3677e994 ("MM: Pass a
> PTE pointer to update_mmu_cache() rather than the PTE itself").
> 
> I applied the following patch for today. It may not be correct.

It looks correct to me - I'll merge it into the original commit tonight
unless David provides me with an alternative patch.

Thanks.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: